export function EqualObjects(obj1: { [key: string | number | symbol]: any }, obj2: { [key: string | number | symbol]: any }): boolean | string {
    let result: boolean = true;
    if (obj1 === obj2) {
        return true;
    }
    const keys1 = Object.keys(obj1);
    const keys2 = Object.keys(obj2);
    if (keys1.length !== keys2.length) {
        result = false;
    }

    for (const key of keys1) {
        if (!keys2.includes(key)) {
            result = false;
            break;
        } else if (typeof obj1[key] === "string" || typeof obj1[key] === "number") {
            if (obj1[key] !== obj2[key]) {
                result = false;
                break;
            }
        } else if (typeof obj1[key] === "object") {
            if (!EqualObjects(obj1[key], obj2[key])) {
                result = false;
                break;
            }
        }
    }

    return result;
}
